[arch-commits] Commit in ntfs-3g/trunk (3 files)

Jan de Groot jgc at archlinux.org
Wed Oct 28 09:38:10 UTC 2009


    Date: Wednesday, October 28, 2009 @ 05:38:10
  Author: jgc
Revision: 56830

upgpkg: ntfs-3g 2009.4.4-2
    Build with external FUSE, disable static libraries
Add symlink for mount.ntfs (FS#16738)
Update HAL fdi rules (FS#15368)

Added:
  ntfs-3g/trunk/25-ntfs-config-write-policy.fdi
    (from rev 56829, ntfs-3g/trunk/20-ntfs-config-write-policy.fdi)
Modified:
  ntfs-3g/trunk/PKGBUILD
Deleted:
  ntfs-3g/trunk/20-ntfs-config-write-policy.fdi

---------------------------------+
 20-ntfs-config-write-policy.fdi |   13 -----------
 25-ntfs-config-write-policy.fdi |   42 ++++++++++++++++++++++++++++++++++++++
 PKGBUILD                        |   20 +++++++++---------
 3 files changed, 52 insertions(+), 23 deletions(-)

Deleted: 20-ntfs-config-write-policy.fdi
===================================================================
--- 20-ntfs-config-write-policy.fdi	2009-10-28 08:22:56 UTC (rev 56829)
+++ 20-ntfs-config-write-policy.fdi	2009-10-28 09:38:10 UTC (rev 56830)
@@ -1,13 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?> 
-<deviceinfo version="0.2">
-   <device>
-       <match key="volume.fstype" string="ntfs">
-           <merge key="volume.fstype" type="string">ntfs-3g</merge>
-           <merge key="volume.policy.mount_filesystem" type="string">ntfs-3g</merge>
-           <append key="volume.mount.valid_options" type="strlist">locale=</append>
-           <append key="volume.mount.valid_options" type="strlist">dmask=</append>
-           <append key="volume.mount.valid_options" type="strlist">fmask=</append>
-       </match>
-   </device>
-</deviceinfo>
-

Copied: ntfs-3g/trunk/25-ntfs-config-write-policy.fdi (from rev 56829, ntfs-3g/trunk/20-ntfs-config-write-policy.fdi)
===================================================================
--- 25-ntfs-config-write-policy.fdi	                        (rev 0)
+++ 25-ntfs-config-write-policy.fdi	2009-10-28 09:38:10 UTC (rev 56830)
@@ -0,0 +1,42 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<deviceinfo version="0.2">
+  <device>
+   	<match key="volume.fstype" string="ntfs">
+        <append key="volume.fstype.alternative" type="copy_property">volume.fstype</append>
+        <merge key="volume.mount.ntfs.valid_options" type="copy_property">volume.mount.valid_options</merge>
+        <merge key="volume.unmount.ntfs.valid_options" type="copy_property">volume.unmount.valid_options</merge>
+        <merge key="volume.fstype" type="string">ntfs-3g</merge>
+       	<merge key="volume.mount.valid_options" type="strlist">ro</merge>
+        <append key="volume.mount.valid_options" type="strlist">atime</append>
+        <append key="volume.mount.valid_options" type="strlist">noatime</append>
+       	<append key="volume.mount.valid_options" type="strlist">relatime</append>
+       	<append key="volume.mount.valid_options" type="strlist">fake_rw</append>
+       	<append key="volume.mount.valid_options" type="strlist">no_def_opts</append>
+       	<append key="volume.mount.valid_options" type="strlist">default_permissions</append>
+       	<append key="volume.mount.valid_options" type="strlist">umask=</append>
+       	<append key="volume.mount.valid_options" type="strlist">fmask=</append>
+       	<append key="volume.mount.valid_options" type="strlist">dmask=</append>
+       	<append key="volume.mount.valid_options" type="strlist">uid=</append>
+       	<append key="volume.mount.valid_options" type="strlist">gid=</append>
+      	<append key="volume.mount.valid_options" type="strlist">show_sys_files</append>
+       	<append key="volume.mount.valid_options" type="strlist">silent</append>
+       	<append key="volume.mount.valid_options" type="strlist">force</append>
+       	<append key="volume.mount.valid_options" type="strlist">remove_hiberfile</append>
+       	<append key="volume.mount.valid_options" type="strlist">locale=</append>
+       	<append key="volume.mount.valid_options" type="strlist">streams_interface=</append>
+       	<append key="volume.mount.valid_options" type="strlist">debug</append>
+       	<append key="volume.mount.valid_options" type="strlist">no_detatch</append>
+       	<append key="volume.mount.valid_options" type="strlist">sync</append>
+       	<append key="volume.mount.valid_options" type="strlist">dirsync</append>
+       	<append key="volume.mount.valid_options" type="strlist">nodiratime</append>
+       	<append key="volume.mount.valid_options" type="strlist">noexec</append>
+        <append key="volume.mount.valid_options" type="strlist">quiet</append>
+       	<append key="volume.mount.valid_options" type="strlist">remount</append>
+       	<append key="volume.mount.valid_options" type="strlist">exec</append>
+       	<append key="volume.mount.valid_options" type="strlist">recover</append>
+       	<append key="volume.mount.valid_options" type="strlist">norecover</append>
+       	<merge key="volume.unmount.valid_options" type="strlist">lazy</merge>
+       	<merge key="volume.policy.mount_filesystem" type="string">ntfs-3g</merge>
+	</match>
+  </device>
+</deviceinfo>

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-10-28 08:22:56 UTC (rev 56829)
+++ PKGBUILD	2009-10-28 09:38:10 UTC (rev 56830)
@@ -4,27 +4,27 @@
 
 pkgname=ntfs-3g
 pkgver=2009.4.4
-pkgrel=1
+pkgrel=2
 pkgdesc="Stable read and write NTFS driver"
 url="http://www.ntfs-3g.org/"
 arch=('i686' 'x86_64')
 license=('GPL2')
-depends=('glibc')
+depends=('glibc' 'fuse>=2.8.0')
 makedepends=('pkgconfig')
 options=('!libtool')
 source=(http://www.ntfs-3g.org/${pkgname}-${pkgver}.tgz
-	20-ntfs-config-write-policy.fdi)
+        25-ntfs-config-write-policy.fdi)
 md5sums=('e0b5c170f088a8d82968f0a6b34d31da'
-         'ece35a9108837e2008e5a47f3390755e')
+         '9dca69d78310f8635877984167eb515f')
 
 build() {
-  cd ${srcdir}/${pkgname}-${pkgver}
-  # use internal fuse at least until fuse 2.8.0 is relased, it contains
-  # some bug & security fixes
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ac_cv_path_LDCONFIG=/bin/true ./configure --prefix=/usr \
-	--with-fuse=internal || return 1
+    --with-fuse=external --disable-static || return 1
   make || return 1
-  make DESTDIR=${pkgdir} install || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  ln -s /bin/ntfs-3g "${pkgdir}/sbin/mount.ntfs" || return 1
   install -m755 -d "${pkgdir}/usr/share/hal/fdi/policy/10osvendor"
-  install -m644 "${srcdir}/20-ntfs-config-write-policy.fdi" "${pkgdir}/usr/share/hal/fdi/policy/10osvendor/" || return 1
+  install -m644 "${srcdir}/25-ntfs-config-write-policy.fdi" "${pkgdir}/usr/share/hal/fdi/policy/10osvendor/" || return 1
+
 }




More information about the arch-commits mailing list